Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## igeo.gui
Enum IGraphicMode.GraphicType

    java.lang.Object
      java.lang.Enum<IGraphicMode.GraphicType>
          igeo.gui.IGraphicMode.GraphicType

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<IGraphicMode.GraphicType>

Enclosing class:
  IGraphicMode

    public static enum IGraphicMode.GraphicType

extends java.lang.Enum<IGraphicMode.GraphicType>

Enum Constant Summary
`GL`
`J2D`
`P3D`

Method Summary
`static IGraphicMode.GraphicType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static IGraphicMode.GraphicType[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### GL

    public static final IGraphicMode.GraphicType GL

### P3D

    public static final IGraphicMode.GraphicType P3D

### J2D

    public static final IGraphicMode.GraphicType J2D

Method Detail

### values

    public static final IGraphicMode.GraphicType[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(IGraphicMode.GraphicType c : IGraphicMode.GraphicType.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static IGraphicMode.GraphicType valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD